package heapprofiler

import "github.com/knq/chromedp/cdp/runtime"

// AUTOGENERATED. DO NOT EDIT.

// HeapSnapshotObjectID heap snapshot object id.
type HeapSnapshotObjectID string

// String returns the HeapSnapshotObjectID as string value.
func (t HeapSnapshotObjectID) String() string {
	return string(t)
}

// SamplingHeapProfileNode sampling Heap Profile node. Holds callsite
// information, allocation statistics and child nodes.
type SamplingHeapProfileNode struct {
	CallFrame *runtime.CallFrame         `json:"callFrame,omitempty"` // Function location.
	SelfSize  float64                    `json:"selfSize,omitempty"`  // Allocations size in bytes for the node excluding children.
	Children  []*SamplingHeapProfileNode `json:"children,omitempty"`  // Child nodes.
}

// SamplingHeapProfile profile.
type SamplingHeapProfile struct {
	Head *SamplingHeapProfileNode `json:"head,omitempty"`
}
